<script setup lang="ts">
  import { CmsBlockProductHeading } from '@shopware-pwa/composables-next';
  // const productShared = inject(CmsPageProductDetailKey);

  const props = defineProps<{
    content: CmsBlockProductHeading;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);
  // const leftContent = getSlotContent('left');
  const rightContent = getSlotContent('right');
</script>

<template>
  <div class="flex justify-between gap-4">
    <div class="flex-1">
      <!-- <CmsGenericElement class="flex-1" :content="leftContent" /> -->
    </div>
    <CmsGenericElement :content="rightContent" />
  </div>
</template>
